'use strict'

const express = require('express')
const router = express.Router()
const analyticsController = require('../controllers/analyticsController')
const whatsappController = require('../controllers/whatsappController')
const { verifyToken } = require('../middleware/auth')

router.get('/dashboard', verifyToken, analyticsController.getDashboardData)
router.get('/whatsapp-logs', verifyToken, whatsappController.getLogs)

module.exports = router
